<?php 

	// VARIÁVEIS GLOBAIS
	global $_DELETE; 
	global $_PUT;
	global $_HEAD;
	global $_OPTIONS;
	global $_ENV;

	// DEFININDO VARIÁVEIS
	if (@$_SERVER["REQUEST_METHOD"] == "DELETE") {
		parse_str(file_get_contents("php://input"), $_DELETE);
	}
	else{
		$_DELETE = [];
	}

	if (@$_SERVER["REQUEST_METHOD"] == "PUT") {
		parse_str(file_get_contents("php://input"), $_PUT);
	}
	else{
		$_PUT = [];
	}

	if (@$_SERVER["REQUEST_METHOD"] == "HEAD") {
		parse_str(file_get_contents("php://input"), $_HEAD);
	}
	else{
		$_HEAD = [];
	}

	if (@$_SERVER["REQUEST_METHOD"] == "OPTIONS") {
		parse_str(file_get_contents("php://input"), $_OPTIONS);
	}
	else{
		$_OPTIONS = [];
	}

	if (file_exists(".env") == true) {
		$_ENV = @parse_ini_file(".env", true);
	}
	else{
		$_ENV = [];
	}

?>